Debian Bug report logs - #690824
slice: architecture-specific paths in arch-all package

version graph

Package: slice; Maintainer for slice is Debian WML Packaging Team <pkg-wml-maintainers@lists.alioth.debian.org>; Source for slice is src:slice.

Reported by: Paul Wise <pabs@debian.org>

Date: Thu, 18 Oct 2012 02:57:02 UTC

Severity: important

Tags: confirmed

Found in version slice/1.3.8-11

Fixed in version slice/1.3.8-12

Done: Axel Beckert <abe@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian WML Packaging Team <pkg-wml-maintainers@lists.alioth.debian.org>:
Bug#690824; Package slice. (Thu, 18 Oct 2012 02:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Wise <pabs@debian.org>:
New Bug report received and forwarded. Copy sent to Debian WML Packaging Team <pkg-wml-maintainers@lists.alioth.debian.org>. (Thu, 18 Oct 2012 02:57:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: slice: architecture-specific paths in arch-all package
Date: Thu, 18 Oct 2012 10:53:49 +0800
[Message part 1 (text/plain, inline)]
Package: slice
Version: 1.3.8-11
Severity: important
Usertags: archspecificpaths

I'm not sure if this bug should be RC or not, but the slice script is
hard-coding an architecture-specific path. It is also setting a lib path
that does not exist on Debian.

use lib "/usr/lib/slice/perl/lib";
use lib "/usr/lib/slice/perl/lib/x86_64-linux-gnu-thread-multi";

pabs@chianamo ~ $ ls /usr/lib/slice/perl/lib
ls: cannot access /usr/lib/slice/perl/lib: No such file or directory
pabs@chianamo ~ $ dpkg -S "/usr/lib/slice/perl/lib"
dpkg-query: no path found matching pattern /usr/lib/slice/perl/lib
pabs@chianamo ~ $ apt-file search /usr/lib/slice/perl/lib
pabs@chianamo ~ $ 

-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (700, 'testing'), (600, 'unstable'), (550, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 3.5-trunk-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_US.utf8, LC_CTYPE=en_US.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages slice depends on:
ii  libbit-vector-perl  7.2-1
ii  perl [perl5]        5.14.2-14

-- 
bye,
pabs

http://wiki.debian.org/PaulWise
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian WML Packaging Team <pkg-wml-maintainers@lists.alioth.debian.org>:
Bug#690824; Package slice. (Sun, 28 Oct 2012 00:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Axel Beckert <abe@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian WML Packaging Team <pkg-wml-maintainers@lists.alioth.debian.org>. (Sun, 28 Oct 2012 00:12:03 GMT) Full text and rfc822 format available.

Message #10 received at 690824@bugs.debian.org (full text, mbox):

From: Axel Beckert <abe@debian.org>
To: Paul Wise <pabs@debian.org>
Cc: 690824@bugs.debian.org
Subject: Re: [pkg-wml] Bug#690824: slice: architecture-specific paths in arch-all package
Date: Sun, 28 Oct 2012 02:08:52 +0200
Control: tag -1 + confirmed

Hi Paul,

Paul Wise wrote:
> Package: slice
> Version: 1.3.8-11
> Severity: important
> Usertags: archspecificpaths
> 
> I'm not sure if this bug should be RC or not, but the slice script is
> hard-coding an architecture-specific path. It is also setting a lib path
> that does not exist on Debian.
> 
> use lib "/usr/lib/slice/perl/lib";
> use lib "/usr/lib/slice/perl/lib/x86_64-linux-gnu-thread-multi";

Thanks for the report. I'm investigating.

		Regards, Axel
-- 
 ,''`.  |  Axel Beckert <abe@debian.org>, http://people.debian.org/~abe/
: :' :  |  Debian Developer, ftp.ch.debian.org Admin
`. `'   |  1024D: F067 EA27 26B9 C3FC 1486  202E C09E 1D89 9593 0EDE
  `-    |  4096R: 2517 B724 C5F6 CA99 5329  6E61 2FF9 CD59 6126 16B5



Added tag(s) confirmed. Request was from Axel Beckert <abe@debian.org> to 690824-submit@bugs.debian.org. (Sun, 28 Oct 2012 00:12:03 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Axel Beckert <abe@debian.org> to control@bugs.debian.org. (Sun, 28 Oct 2012 00:33:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian WML Packaging Team <pkg-wml-maintainers@lists.alioth.debian.org>:
Bug#690824; Package slice. (Sun, 28 Oct 2012 09:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Axel Beckert <abe@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian WML Packaging Team <pkg-wml-maintainers@lists.alioth.debian.org>. (Sun, 28 Oct 2012 09:24:03 GMT) Full text and rfc822 format available.

Message #19 received at 690824@bugs.debian.org (full text, mbox):

From: Axel Beckert <abe@debian.org>
To: Paul Wise <pabs@debian.org>, 690824@bugs.debian.org
Subject: Re: [pkg-wml] Bug#690824: slice: architecture-specific paths in arch-all package
Date: Sun, 28 Oct 2012 10:20:09 +0100
Hi Paul,

Paul Wise wrote:
> I'm not sure if this bug should be RC or not, but the slice script is
> hard-coding an architecture-specific path.

This could be potentially RC, but in combination with this...

> It is also setting a lib path that does not exist on Debian.

... I consider it's just of minor severity as it technically hasn't
any effect unless these paths suddenly appear through other package
changes. (And they'd have to be bigger, because upstream's Makefile
just generated one empty directory at /usr/lib/slice/perl/lib on "make
install". It's removed in debian/rules, probably because lintian
argued about the empty directory.)

Leaving it at important though. That's still fine for me. :-)

It's now fixed in the git repo:
http://anonscm.debian.org/gitweb/?p=pkg-wml/slice.git;a=commitdiff;h=80c32066

If you want to have that fix in Wheezy, I can upload this to unstable,
but could you then solicit the freeze exception?

		Regards, Axel
-- 
 ,''`.  |  Axel Beckert <abe@debian.org>, http://people.debian.org/~abe/
: :' :  |  Debian Developer, ftp.ch.debian.org Admin
`. `'   |  1024D: F067 EA27 26B9 C3FC 1486  202E C09E 1D89 9593 0EDE
  `-    |  4096R: 2517 B724 C5F6 CA99 5329  6E61 2FF9 CD59 6126 16B5



Reply sent to Axel Beckert <abe@debian.org>:
You have taken responsibility. (Tue, 28 May 2013 21:30:38 GMT) Full text and rfc822 format available.

Notification sent to Paul Wise <pabs@debian.org>:
Bug acknowledged by developer. (Tue, 28 May 2013 21:30:38 GMT) Full text and rfc822 format available.

Message #24 received at 690824-close@bugs.debian.org (full text, mbox):

From: Axel Beckert <abe@debian.org>
To: 690824-close@bugs.debian.org
Subject: Bug#690824: fixed in slice 1.3.8-12
Date: Tue, 28 May 2013 21:29:16 +0000
Source: slice
Source-Version: 1.3.8-12

We believe that the bug you reported is fixed in the latest version of
slice, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 690824@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Axel Beckert <abe@debian.org> (supplier of updated slice package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 28 May 2013 20:39:17 +0200
Source: slice
Binary: slice
Architecture: source all
Version: 1.3.8-12
Distribution: unstable
Urgency: low
Maintainer: Debian WML Packaging Team <pkg-wml-maintainers@lists.alioth.debian.org>
Changed-By: Axel Beckert <abe@debian.org>
Description: 
 slice      - Extract out pre-defined slices of an ASCII file
Closes: 690824
Changes: 
 slice (1.3.8-12) unstable; urgency=low
 .
   * Remove non-used include paths (Closes: #690824)
   * Bump debhelper compatibility to 9
     + Update versioned debhelper build-dependency
   * Switch to source format "3.0 (quilt)"
     + Remove quilt build-dependency and quilt usage from debian/rules
   * Revamp debian/rules:
     + Use dh_auto_{configure,build,install,clean}
     + Move dh_installdocs parameter to debian/docs
     + Remove redundant dh_installchangelogs parameter
     + Finally switch to a dh7 style debian/rules file
   * Bump Standards-Version to 3.9.4 (no changes)
   * Fix lintian warning vcs-field-not-canonical
   * Fix dpkg-gencontrol warning "unused substitution variable ${perl:Depends}"
   * Update homepage header to point to web.archive.org's version of the
     Slice homepage.
   * Clean up debian/copyright
     + Mention myself as current maintainer.
     + Update links to external download sources
   * Remove alternative build-dependency on ancient (if ever existent) perl5
   * Apply wrap-and-sort.
Checksums-Sha1: 
 a38f29217f9a702d5aa2114fa27f51335ac03f43 1341 slice_1.3.8-12.dsc
 90b80425e455c50668310cb396fc3461372a6c90 6801 slice_1.3.8-12.debian.tar.gz
 dc978d9f66d7cef3f3d5b940e7c60a9e696e2025 26040 slice_1.3.8-12_all.deb
Checksums-Sha256: 
 9e466b3ac617c8c1e6c964fa2649f2648c84b94c5643e4d636a65deda4a95c16 1341 slice_1.3.8-12.dsc
 8842d5236ac8d8d1ac5ad8da5713edab70e44cb18a937c4003f61f8094068ce1 6801 slice_1.3.8-12.debian.tar.gz
 2351ee5d9427f6f8fb4a92c6cd36e5c8e3f1fa33a49fc217ecbeee7b7b2b8e69 26040 slice_1.3.8-12_all.deb
Files: 
 4f2446fea9986df85c5f0047587a90ea 1341 text optional slice_1.3.8-12.dsc
 f9c7819a7577c007232f4785e70412a4 6801 text optional slice_1.3.8-12.debian.tar.gz
 75ab4ad68852ac7064878eb388d8580f 26040 text optional slice_1.3.8-12_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlGlBEwACgkQwJ4diZWTDt6ARACfZj5nM3uIBT1aEATmm7yiZW8i
HnkAnAzZxst9tGgm8Gwe8XzY98VW7his
=RYXd
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 06 Jul 2013 07:27:20 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 21:45:46 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.